Skip to navigation

Add File Member

View as Markdown

Adds specified members to a file.

Required scope: sharing.write

Endpoint format: RPC

Authentication: User, Dropbox-API-Select-Admin (Team Admin)

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
filestringRequiredformat: "((\/|id:).*|nspath:[0-9]+:.*)|ns:[0-9]+(/.*)?">=1 character
File to which to add members.
memberslist of objectsRequired
Members to add. Note that even an email address is given, this may result in a user being directly added to the membership if that email is the user's main account email.
Variant:
sharing_apiv2.MemberSelector.dropbox_idobjectRequired
Dropbox account, team member, or group ID of member.
access_levelobject or nullOptional
AccessLevel union object, describing what access level we want to give new members.
Variant:
sharing_apiv2.AccessLevel.ownerobjectRequired

The collaborator is the owner of the shared folder. Owners can view and edit the shared folder as well as set the folder’s policies using update_folder_policy.

add_message_as_commentbooleanOptionalDefaults to false
If the custom message should be added as a comment on the file. Only meant for Paper files.
custom_messagestring or nullOptional
Message to send to added members in their invitation.
quietbooleanOptionalDefaults to false
Whether added members should be notified via email and device notifications of their invitation.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
memberobject
One of specified input members.
Variant:
sharing_apiv2.MemberSelector.dropbox_idobject
Dropbox account, team member, or group ID of member.
resultobject
The outcome of the action on this member.
Variant:
sharing_apiv2.FileMemberActionIndividualResult.successobject

Part of the response for both add_file_member and remove_file_member_v1 (deprecated). For add_file_member, indicates giving access was successful and at what AccessLevel. For remove_file_member_v1, indicates member was successfully removed from the file. If AccessLevel is given, the member still has access via a parent shared folder.

invitation_signaturelist of strings or nullOptional

The sharing sender-recipient invitation signatures for the input member_id. A member_id can be a group and thus have multiple users and multiple invitation signatures.

sckey_sha1string or nullOptional

The SHA-1 encrypted shared content key.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error